{{ template "base" . }}

{{ define "title" }}Index{{ end }}

{{ define "content" }}
	The DB contains {{ .Wines | len }} wine(s) right now:

	<form method="POST" enctype="multipart/form-data" action="/add">
		<input type="text" name="name" placeholder="Name" required></input>
		<input type="number" name="rating" placeholder="Rating"></input>
		<br/>
		<input type="file" name="picture" accept="image/png, image/jpeg"></input>

		<button type="submit">+</button>
	</form>

	<table>
		<tr><th>#</th><th>Name</th><th>Rating</th></tr>
		{{ range .Wines }}
			<tr>
				<td>{{ .ID }}</td>
				<td><a href="/details?id={{ .ID }}">{{ .Name }}</a></td>
				<td>{{ .Rating }}</td>
			</tr>
		{{ end }}
	</table>

	<p>And a bit of foo.</p>
{{ end }}